TAAS - Feature #441

Counter Staff Import
12/12/2024 03:20 PM - Bertin Joseph

Status: New Changes Coding Done Start date: 12/12/2024
Priority: Normal Due date:

Assignee: Nawal Sidique % Done: 70%
Category: Estimated time: 0:00 hour
Target version: 22.12 Spent time: 0:00 hour
Owner(Agency): Travvise Tested By:

Time Taken(HH): Code Reviewed By:

Module: Counter Staff Import

Description

History

#1 - 12/12/2024 03:25 PM - Bertin Joseph
- File NBKDetails (1).xIsx added

Add Import module for Counter staff
GUI discuss With Anil Sir
Menu : More--> Import--> Counter staff import

--see Counter staff tab in attached Excel File: NBKDetails.xIsx(1)

#2 - 12/12/2024 03:29 PM - Anil KV
- Status changed from New to Ready for Coding
- % Done changed from 0 to 20

#3 - 12/12/2024 03:40 PM - Anil KV

List Item

=>Name Split up - Tick then - Title, First Name,

— Name = Title + First Name + Last Name
->Untick then Name

—>Phone

—>Email

=>GDS - Setting enabled GDS only

—Amadeus Char Code | Amadeus Num Code | Travel Port Char Code

—>System User

—->POS User Name
—>Employee Account Code
—-> Commission Agent Code
—->Branch

—>Address

—> Remarks

Note:—
-> Save Time -> Type —-> Tick all
-> Save Time -> Status —-> Active

#4 - 12/13/2024 07:10 PM - Nawal Sidique
- Status changed from Ready for Coding to Coding Started
- % Done changed from 20 to 30

#5 - 12/30/2024 09:51 AM - Nawal Sidique
- Status changed from Coding Started to Coding Done
- % Done changed from 30 to 60
#6 - 12/30/2024 06:34 PM - Arathy PS
- Status changed from Coding Done to Reopen Bugs

- % Done changed from 60 to 50

#7 - 12/31/2024 09:46 AM - Arathy PS
- Status changed from Reopen Bugs to Testing Started
- % Done changed from 50 to 60

#8 - 03/06/2025 05:10 PM - Arathy PS
- Status changed from Testing Started to Reopen Bugs
- % Done changed from 60 to 50

NEW CHANGES - DONE

Discuss with anil whether the Import need first two requirements fields,

1. Code and name in same column in excel file :

A checkbox Code and name in same column

Give same column no: for both code and name and if the check box is ticked then an entry box: Split character.
Add tooltip to the fields.

2. If the code is not auto generated and no code in excel file then a check box, No code-- if the check box is ticked then an entry box: code character
add title to the fields.

3. The default action type should be: Remove all and insert.

#9 - 03/06/2025 05:11 PM - Arathy PS

- Status changed from Reopen Bugs to New Changes

#10 - 03/11/2025 08:44 AM - Nawal Sidique
- Status changed from New Changes to New Changes Coding Done

- % Done changed from 50 to 70

Files

NBKDetails (1).xIsx 99.1 KB 12/12/2024 Bertin Joseph
